--[[
1. Create windows with graphics (Ice for Power, Fire for Morale)
2. Get them to display on Low Morale/Power
3. Release!
]]--
import "Turbine.UI"
import "Turbine.UI.Lotro"
import "Turbine.Gameplay"
import "Turbine.Gameplay.Attributes"

	Player = Turbine.Gameplay.LocalPlayer.GetInstance();
	MaxMorale=Player:GetMaxMorale()
	MaxPower=Player:GetMaxPower()
	

	--Callback handler - Due to Pengoros... Many thanks!
function AddCallback(object, event, callback)
    if (object[event] == nil) then
        object[event] = callback;
    else
        if (type(object[event]) == "table") then
            table.insert(object[event], callback);
        else
            object[event] = {object[event], callback};
        end
    end
    return callback;
end

function level(Current,Max)
	local level= (1-(Current/Max))-0.5	--Maximum opacity is 0.5 and this is reached at zero health/power
	if level<0 then level=0 end
	return level
end
	
	--Add a callbacks if the players maximum morale/power changes.
	AddCallback(Player, "BaseMaxMoraleChanged", function(sender, args) MaxMorale=Player:GetMaxMorale() end)
	AddCallback(Player, "BaseMaxPowerChanged", function(sender, args)	MaxPower=Player:GetMaxPower() end)
	
	--Callbacks when Morale or Power changes.
	--If you only want the morale warning, then delete the Power line, or vice-versa.
	AddCallback(Player,"MoraleChanged", function(sender, args) 	MoraleWindow:SetOpacity(level(Player:GetMorale(),MaxMorale)) 	end)
	AddCallback(Player,"PowerChanged", function(sender, args) 	PowerWindow:SetOpacity(level(Player:GetPower(),MaxPower)) 		end)
	
	--Create Windows
	local width = Turbine.UI.Display.GetWidth()
	local height = Turbine.UI.Display.GetHeight()
	
	MoraleWindow= Turbine.UI.Window()
			MoraleWindow:SetPosition( 0,height-100)
			MoraleWindow:SetSize( width,100 )
			MoraleWindow:SetOpacity(0)
			MoraleWindow:SetMouseVisible ( false)
			MoraleWindow:SetZOrder(0)
			MoraleWindow:SetVisible(true)
			MoraleWindow:SetBackground ("JackdawPlugins/LowWarn/Morale.tga")
			
		PowerWindow= Turbine.UI.Window()
			PowerWindow:SetPosition( 0,height-50)	--Power warning is shorter...
			PowerWindow:SetSize( width,50 )	
			PowerWindow:SetOpacity(0)
			PowerWindow:SetMouseVisible ( false)
			PowerWindow:SetZOrder(0)
			PowerWindow:SetVisible(true)
			PowerWindow:SetBackground ("JackdawPlugins/LowWarn/Power.tga")
			
